# Module ganglia

- Description
- Data Types
- Function Index
- Function Details

Ganglia monitoring interface.

Copyright © 2007-2015 Zuse Institute Berlin

Version: $Id$

Behaviours: `gen_component`.

Authors: Marie Hoffmann (`hoffmann@zib.de`).

## Description

Ganglia monitoring interface.

## Data Types

### load_aggregation()

    load_aggregation() =
        {AggId :: non_neg_integer(),
         Pending :: non_neg_integer(),
         Load :: non_neg_integer()}

### message()

    message() =
        {ganglia_trigger} |
        {ganglia_periodic} |
        {ganglia_dht_load_aggregation,
         DHTNode :: pid(),
         AggId :: non_neg_integer(),
         message()} |
        {ganglia_vivaldi_confidence, pid(), message()} |
        {fd_notify,
         fd:event(),
         PID :: comm:mypid(),
         _Cookie :: {ganglia, AggId :: non_neg_integer()},
         Reason :: fd:reason()}

### state()

    state() =
        {LastUpdated :: non_neg_integer(),
         LoadAggregation :: load_aggregation()}

## Function Index

check_config/0 | Checks whether config parameters of the ganglia process exist and are valid.
init/1 |
on/2 |
start_gen_component/5 |
start_link/1 |

## Function Details

### start_gen_component/5

    start_gen_component(Module :: module(),
                        Handler :: gen_component:handler(),
                        Args :: term(),
                        Options :: [gen_component:option()],
                        Self :: pid()) ->
                           no_return() | ok

### start_link/1

    start_link(ServiceGroup :: pid_groups:groupname()) -> {ok, pid()}

### init/1

    init(X1 :: []) -> state()

### on/2

    on(X1 :: message(), State :: state()) -> state()

### check_config/0

    check_config() -> boolean()

Checks whether config parameters of the ganglia process exist and are valid.

Generated by EDoc, Feb 29 2016, 16:12:20.